#include <idc.idc>

static create_io_segments(void)
{
    SegCreate(0x30000, 0x31000, 0x0, 1, 1, 2);
    SegRename(0x30000, "IO_REGS");
    SegClass (0x30000, "DATA");
    SegDefReg(0x30000, "T", 0x0);
    SegDefReg(0x30000, "DS", 0x1);
    SetSegmentType(0x30000, SEG_DATA);

    SegCreate(0x60000, 0x61000, 0x0, 1, 1, 2);
    SegRename(0x60000, "IO_REGS");
    SegClass (0x60000, "DATA");
    SegDefReg(0x60000, "T", 0x0);
    SegDefReg(0x60000, "DS", 0x1);
    SetSegmentType(0x60000, SEG_DATA);
}

static make_io_registers(void)
{
    MakeWord    (0x30000);
    MakeName    (0x30000,    "IO_TIMER0_TMMD");
    MakeWord    (0x30002);
    MakeName    (0x30002,    "IO_TIMER0_TMRSV0");
    MakeWord    (0x30004);
    MakeName    (0x30004,    "IO_TIMER0_TMPRSCL");
    MakeWord    (0x30006);
    MakeName    (0x30006,    "IO_TIMER0_TMDIV");
    MakeWord    (0x30008);
    MakeName    (0x30008,    "IO_TIMER0_TMTRG");
    MakeWord    (0x3000A);
    MakeName    (0x3000A,    "IO_TIMER0_TMCNT");
    MakeByte    (0x3000C);
    MakeArray    (0x3000C,    0x74);
    MakeWord    (0x30080);
    MakeName    (0x30080,    "IO_TIMER1_TMMD");
    MakeWord    (0x30082);
    MakeName    (0x30082,    "IO_TIMER1_TMRSV0");
    MakeWord    (0x30084);
    MakeName    (0x30084,    "IO_TIMER1_TMPRSCL");
    MakeWord    (0x30086);
    MakeName    (0x30086,    "IO_TIMER1_TMDIV");
    MakeWord    (0x30088);
    MakeName    (0x30088,    "IO_TIMER1_TMTRG");
    MakeWord    (0x3008A);
    MakeName    (0x3008A,    "IO_TIMER1_TMCNT");
    MakeByte    (0x3008C);
    MakeArray    (0x3008C,    0x74);
    MakeWord    (0x30100);
    MakeName    (0x30100,    "IO_TIMER2_TMMD");
    MakeWord    (0x30102);
    MakeName    (0x30102,    "IO_TIMER2_TMVDCLR");
    MakeWord    (0x30104);
    MakeName    (0x30104,    "IO_TIMER2_TMPRSCL");
    MakeWord    (0x30106);
    MakeName    (0x30106,    "IO_TIMER2_TMDIV");
    MakeWord    (0x30108);
    MakeName    (0x30108,    "IO_TIMER2_TMTRG");
    MakeWord    (0x3010A);
    MakeName    (0x3010A,    "IO_TIMER2_TMCNT");
    MakeByte    (0x3010C);
    MakeArray    (0x3010C,    0x74);
    MakeWord    (0x30180);
    MakeName    (0x30180,    "IO_TIMER3_TMMD");
    MakeWord    (0x30182);
    MakeName    (0x30182,    "IO_TIMER3_TMVDCLR");
    MakeWord    (0x30184);
    MakeName    (0x30184,    "IO_TIMER3_TMPRSCL");
    MakeWord    (0x30186);
    MakeName    (0x30186,    "IO_TIMER3_TMDIV");
    MakeWord    (0x30188);
    MakeName    (0x30188,    "IO_TIMER3_TMTRG");
    MakeWord    (0x3018A);
    MakeName    (0x3018A,    "IO_TIMER3_TMCNT");
    MakeByte    (0x3018C);
    MakeArray    (0x3018C,    0x74);
    MakeWord    (0x30200);
    MakeName    (0x30200,    "IO_SERIAL0_TX_DATA");
    MakeWord    (0x30202);
    MakeName    (0x30202,    "IO_SERIAL0_RX_DATA");
    MakeWord    (0x30204);
    MakeName    (0x30204,    "IO_SERIAL0_TX_ENABLE");
    MakeWord    (0x30206);
    MakeName    (0x30206,    "IO_SERIAL0_MODE");
    MakeWord    (0x30208);
    MakeName    (0x30208,    "IO_SERIAL0_DMA_TRIGGER");
    MakeWord    (0x3020A);
    MakeName    (0x3020A,    "IO_SERIAL0_DMA_MODE");
    MakeWord    (0x3020C);
    MakeName    (0x3020C,    "IO_SERIAL0_DMA_SDRAM_LOW");
    MakeWord    (0x3020E);
    MakeName    (0x3020E,    "IO_SERIAL0_DMA_SDRAM_HI");
    MakeWord    (0x30210);
    MakeName    (0x30210,    "IO_SERIAL0_DMA_STATUS");
    MakeByte    (0x30212);
    MakeArray    (0x30212,    0x6E);
    MakeWord    (0x30280);
    MakeName    (0x30280,    "IO_SERIAL1_TX_DATA");
    MakeWord    (0x30282);
    MakeName    (0x30282,    "IO_SERIAL1_RX_DATA");
    MakeWord    (0x30284);
    MakeName    (0x30284,    "IO_SERIAL1_TX_ENABLE");
    MakeWord    (0x30286);
    MakeName    (0x30286,    "IO_SERIAL1_MODE");
    MakeByte    (0x30288);
    MakeArray    (0x30288,    0x78);
    MakeWord    (0x30300);
    MakeName    (0x30300,    "IO_UART0_DTRR");
    MakeWord    (0x30302);
    MakeName    (0x30302,    "IO_UART0_BRSR");
    MakeWord    (0x30304);
    MakeName    (0x30304,    "IO_UART0_MSR");
    MakeWord    (0x30306);
    MakeName    (0x30306,    "IO_UART0_RFCR");
    MakeWord    (0x30308);
    MakeName    (0x30308,    "IO_UART0_TFCR");
    MakeWord    (0x3030A);
    MakeName    (0x3030A,    "IO_UART0_LCR");
    MakeWord    (0x3030C);
    MakeName    (0x3030C,    "IO_UART0_SR");
    MakeByte    (0x3030E);
    MakeArray    (0x3030E,    0x72);
    MakeWord    (0x30380);
    MakeName    (0x30380,    "IO_UART1_DTRR");
    MakeWord    (0x30382);
    MakeName    (0x30382,    "IO_UART1_BRSR");
    MakeWord    (0x30384);
    MakeName    (0x30384,    "IO_UART1_MSR");
    MakeWord    (0x30386);
    MakeName    (0x30386,    "IO_UART1_RFCR");
    MakeWord    (0x30388);
    MakeName    (0x30388,    "IO_UART1_TFCR");
    MakeWord    (0x3038A);
    MakeName    (0x3038A,    "IO_UART1_LCR");
    MakeWord    (0x3038C);
    MakeName    (0x3038C,    "IO_UART1_SR");
    MakeByte    (0x3038E);
    MakeArray    (0x3038E,    0x72);
    MakeWord    (0x30400);
    MakeName    (0x30400,    "IO_WATCHDOG_MODE");
    MakeWord    (0x30402);
    MakeName    (0x30402,    "IO_WATCHDOG_RESET");
    MakeWord    (0x30404);
    MakeName    (0x30404,    "IO_WATCHDOG_PRESCALAR");
    MakeWord    (0x30406);
    MakeName    (0x30406,    "IO_WATCHDOG_DIVISOR");
    MakeWord    (0x30408);
    MakeName    (0x30408,    "IO_WATCHDOG_EXT_RESET");
    MakeByte    (0x3040A);
    MakeArray    (0x3040A,    0xF6);
    MakeWord    (0x30500);
    MakeName    (0x30500,    "IO_INTC_FIQ0");
    MakeWord    (0x30502);
    MakeName    (0x30502,    "IO_INTC_FIQ1");
    MakeWord    (0x30504);
    MakeName    (0x30504,    "IO_INTC_FIQ2");
    MakeWord    (0x30506);
    MakeWord    (0x30508);
    MakeName    (0x30508,    "IO_INTC_IRQ0");
    MakeWord    (0x3050A);
    MakeName    (0x3050A,    "IO_INTC_IRQ1");
    MakeWord    (0x3050C);
    MakeName    (0x3050C,    "IO_INTC_IRQ2");
    MakeWord    (0x3050E);
    MakeWord    (0x30510);
    MakeName    (0x30510,    "IO_INTC_FIQENTRY0");
    MakeWord    (0x30512);
    MakeName    (0x30512,    "IO_INTC_FIQENTRY1");
    MakeWord    (0x30514);
    MakeName    (0x30514,    "IO_INTC_FIQ_LOCK_ADDR0");
    MakeWord    (0x30516);
    MakeName    (0x30516,    "IO_INTC_FIQ_LOCK_ADDR1");
    MakeWord    (0x30518);
    MakeName    (0x30518,    "IO_INTC_IRQENTRY0");
    MakeWord    (0x3051A);
    MakeName    (0x3051A,    "IO_INTC_IRQENTRY1");
    MakeWord    (0x3051C);
    MakeName    (0x3051C,    "IO_INTC_IRQ_LOCK_ADDR0");
    MakeWord    (0x3051E);
    MakeName    (0x3051E,    "IO_INTC_IRQ_LOCK_ADDR1");
    MakeWord    (0x30520);
    MakeName    (0x30520,    "IO_INTC_FISEL0");
    MakeWord    (0x30522);
    MakeName    (0x30522,    "IO_INTC_FISEL1");
    MakeWord    (0x30524);
    MakeName    (0x30524,    "IO_INTC_FISEL2");
    MakeWord    (0x30526);
    MakeWord    (0x30528);
    MakeName    (0x30528,    "IO_INTC_EINT0");
    MakeWord    (0x3052A);
    MakeName    (0x3052A,    "IO_INTC_EINT1");
    MakeWord    (0x3052C);
    MakeName    (0x3052C,    "IO_INTC_EINT2");
    MakeWord    (0x3052E);
    MakeWord    (0x30530);
    MakeName    (0x30530,    "IO_INTC_RAW");
    MakeWord    (0x30532);
    MakeWord    (0x30534);
    MakeWord    (0x30536);
    MakeWord    (0x30538);
    MakeName    (0x30538,    "IO_INTC_ENTRY_TBA0");
    MakeWord    (0x3053A);
    MakeName    (0x3053A,    "IO_INTC_ENTRY_TBA1");
    MakeWord    (0x3053C);
    MakeWord    (0x3053E);
    MakeWord    (0x30540);
    MakeName    (0x30540,    "IO_INTC_PRIORITY0");
    MakeWord    (0x30542);
    MakeName    (0x30542,    "IO_INTC_PRIORITY1");
    MakeWord    (0x30544);
    MakeName    (0x30544,    "IO_INTC_PRIORITY2");
    MakeWord    (0x30546);
    MakeName    (0x30546,    "IO_INTC_PRIORITY3");
    MakeWord    (0x30548);
    MakeName    (0x30548,    "IO_INTC_PRIORITY4");
    MakeWord    (0x3054A);
    MakeName    (0x3054A,    "IO_INTC_PRIORITY5");
    MakeWord    (0x3054C);
    MakeName    (0x3054C,    "IO_INTC_PRIORITY6");
    MakeWord    (0x3054E);
    MakeName    (0x3054E,    "IO_INTC_PRIORITY7");
    MakeWord    (0x30550);
    MakeName    (0x30550,    "IO_INTC_PRIORITY8");
    MakeWord    (0x30552);
    MakeName    (0x30552,    "IO_INTC_PRIORITY9");
    MakeWord    (0x30554);
    MakeName    (0x30554,    "IO_INTC_PRIORITY10");
    MakeWord    (0x30556);
    MakeName    (0x30556,    "IO_INTC_PRIORITY11");
    MakeWord    (0x30558);
    MakeName    (0x30558,    "IO_INTC_PRIORITY12");
    MakeWord    (0x3055A);
    MakeName    (0x3055A,    "IO_INTC_PRIORITY13");
    MakeWord    (0x3055C);
    MakeName    (0x3055C,    "IO_INTC_PRIORITY14");
    MakeWord    (0x3055E);
    MakeName    (0x3055E,    "IO_INTC_PRIORITY15");
    MakeWord    (0x30560);
    MakeName    (0x30560,    "IO_INTC_PRIORITY16");
    MakeWord    (0x30562);
    MakeName    (0x30562,    "IO_INTC_PRIORITY17");
    MakeWord    (0x30564);
    MakeName    (0x30564,    "IO_INTC_PRIORITY18");
    MakeWord    (0x30566);
    MakeName    (0x30566,    "IO_INTC_PRIORITY19");
    MakeWord    (0x30568);
    MakeName    (0x30568,    "IO_INTC_PRIORITY20");
    MakeWord    (0x3056A);
    MakeName    (0x3056A,    "IO_INTC_PRIORITY21");
    MakeWord    (0x3056C);
    MakeName    (0x3056C,    "IO_INTC_PRIORITY22");
    MakeByte    (0x3056E);
    MakeArray    (0x3056E,    0x12);
    MakeWord    (0x30580);
    MakeName    (0x30580,    "IO_GIO_DIR0");
    MakeWord    (0x30582);
    MakeName    (0x30582,    "IO_GIO_DIR1");
    MakeWord    (0x30584);
    MakeName    (0x30584,    "IO_GIO_DIR2");
    MakeWord    (0x30586);
    MakeName    (0x30586,    "IO_GIO_INV0");
    MakeWord    (0x30588);
    MakeName    (0x30588,    "IO_GIO_INV1");
    MakeWord    (0x3058A);
    MakeName    (0x3058A,    "IO_GIO_INV2");
    MakeWord    (0x3058C);
    MakeName    (0x3058C,    "IO_GIO_BITSET0");
    MakeWord    (0x3058E);
    MakeName    (0x3058E,    "IO_GIO_BITSET1");
    MakeWord    (0x30590);
    MakeName    (0x30590,    "IO_GIO_BITSET2");
    MakeWord    (0x30592);
    MakeName    (0x30592,    "IO_GIO_BITCLR0");
    MakeWord    (0x30594);
    MakeName    (0x30594,    "IO_GIO_BITCLR1");
    MakeWord    (0x30596);
    MakeName    (0x30596,    "IO_GIO_BITCLR2");
    MakeWord    (0x30598);
    MakeName    (0x30598,    "IO_GIO_IRQPORT");
    MakeWord    (0x3059A);
    MakeName    (0x3059A,    "IO_GIO_IRQEDGE");
    MakeWord    (0x3059C);
    MakeName    (0x3059C,    "IO_GIO_CHAT0");
    MakeWord    (0x3059E);
    MakeName    (0x3059E,    "IO_GIO_CHAT1");
    MakeWord    (0x305A0);
    MakeName    (0x305A0,    "IO_GIO_CHAT2");
    MakeWord    (0x305A2);
    MakeName    (0x305A2,    "IO_GIO_NCHAT");
    MakeWord    (0x305A4);
    MakeName    (0x305A4,    "IO_GIO_FSEL0");
    MakeWord    (0x305A6);
    MakeName    (0x305A6,    "IO_GIO_FSEL1");
    MakeWord    (0x305A8);
    MakeName    (0x305A8,    "IO_GIO_FSEL2");
    MakeWord    (0x305AA);
    MakeName    (0x305AA,    "IO_GIO_FSEL3");
    MakeWord    (0x305AC);
    MakeName    (0x305AC,    "IO_GIO_FSEL4");
    MakeWord    (0x305AE);
    MakeName    (0x305AE,    "IO_GIO_CARD_SET");
    MakeWord    (0x305B0);
    MakeName    (0x305B0,    "IO_GIO_CARD_ST");
    MakeByte    (0x305B2);
    MakeArray    (0x305B2,    0x4E);
    MakeWord    (0x30600);
    MakeName    (0x30600,    "IO_DSPC_HPIB_CONTROL");
    MakeWord    (0x30602);
    MakeName    (0x30602,    "IO_DSPC_HPIB_STATUS");
    MakeByte    (0x30604);
    MakeArray    (0x30604,    0x7C);
    MakeWord    (0x30680);
    MakeName    (0x30680,    "IO_OSD_MODE");
    MakeWord    (0x30682);
    MakeName    (0x30682,    "IO_OSD_VIDWINMD");
    MakeWord    (0x30684);
    MakeName    (0x30684,    "IO_OSD_OSDWINMD0");
    MakeWord    (0x30686);
    MakeName    (0x30686,    "IO_OSD_OSDWINMD1");
    MakeWord    (0x30688);
    MakeName    (0x30688,    "IO_OSD_ATRMD");
    MakeWord    (0x3068A);
    MakeName    (0x3068A,    "IO_OSD_RESERVED");
    MakeWord    (0x3068C);
    MakeName    (0x3068C,    "IO_OSD_VIDWIN0OFST");
    MakeWord    (0x3068E);
    MakeName    (0x3068E,    "IO_OSD_VIDWIN1OFST");
    MakeWord    (0x30690);
    MakeName    (0x30690,    "IO_OSD_OSDWIN0OFST");
    MakeWord    (0x30692);
    MakeName    (0x30692,    "IO_OSD_OSDWIN1OFST");
    MakeWord    (0x30694);
    MakeName    (0x30694,    "IO_OSD_VIDWINADH");
    MakeWord    (0x30696);
    MakeName    (0x30696,    "IO_OSD_VIDWIN0ADL");
    MakeWord    (0x30698);
    MakeName    (0x30698,    "IO_OSD_VIDWIN1ADL");
    MakeWord    (0x3069A);
    MakeName    (0x3069A,    "IO_OSD_OSDWINADH");
    MakeWord    (0x3069C);
    MakeName    (0x3069C,    "IO_OSD_OSDWIN0ADL");
    MakeWord    (0x3069E);
    MakeName    (0x3069E,    "IO_OSD_OSDWIN1ADL");
    MakeWord    (0x306A0);
    MakeName    (0x306A0,    "IO_OSD_BASEPX");
    MakeWord    (0x306A2);
    MakeName    (0x306A2,    "IO_OSD_BASEPY");
    MakeWord    (0x306A4);
    MakeName    (0x306A4,    "IO_OSD_VIDWIN0XP");
    MakeWord    (0x306A6);
    MakeName    (0x306A6,    "IO_OSD_VIDWIN0YP");
    MakeWord    (0x306A8);
    MakeName    (0x306A8,    "IO_OSD_VIDWIN0XL");
    MakeWord    (0x306AA);
    MakeName    (0x306AA,    "IO_OSD_VIDWIN0YL");
    MakeWord    (0x306AC);
    MakeName    (0x306AC,    "IO_OSD_VIDWIN1XP");
    MakeWord    (0x306AE);
    MakeName    (0x306AE,    "IO_OSD_VIDWIN1YP");
    MakeWord    (0x306B0);
    MakeName    (0x306B0,    "IO_OSD_VIDWIN1XL");
    MakeWord    (0x306B2);
    MakeName    (0x306B2,    "IO_OSD_VIDWIN1YL");
    MakeWord    (0x306B4);
    MakeName    (0x306B4,    "IO_OSD_OSDWIN0XP");
    MakeWord    (0x306B6);
    MakeName    (0x306B6,    "IO_OSD_OSDWIN0YP");
    MakeWord    (0x306B8);
    MakeName    (0x306B8,    "IO_OSD_OSDWIN0XL");
    MakeWord    (0x306BA);
    MakeName    (0x306BA,    "IO_OSD_OSDWIN0YL");
    MakeWord    (0x306BC);
    MakeName    (0x306BC,    "IO_OSD_OSDWIN1XP");
    MakeWord    (0x306BE);
    MakeName    (0x306BE,    "IO_OSD_OSDWIN1YP");
    MakeWord    (0x306C0);
    MakeName    (0x306C0,    "IO_OSD_OSDWIN1XL");
    MakeWord    (0x306C2);
    MakeName    (0x306C2,    "IO_OSD_OSDWIN1YL");
    MakeWord    (0x306C4);
    MakeName    (0x306C4,    "IO_OSD_CURXP");
    MakeWord    (0x306C6);
    MakeName    (0x306C6,    "IO_OSD_CURYP");
    MakeWord    (0x306C8);
    MakeName    (0x306C8,    "IO_OSD_CURXL");
    MakeWord    (0x306CA);
    MakeName    (0x306CA,    "IO_OSD_CURYL");
    MakeWord    (0x306CC);
    MakeWord    (0x306CE);
    MakeWord    (0x306D0);
    MakeName    (0x306D0,    "IO_OSD_W0BMP01");
    MakeWord    (0x306D2);
    MakeName    (0x306D2,    "IO_OSD_W0BMP23");
    MakeWord    (0x306D4);
    MakeName    (0x306D4,    "IO_OSD_W0BMP45");
    MakeWord    (0x306D6);
    MakeName    (0x306D6,    "IO_OSD_W0BMP67");
    MakeWord    (0x306D8);
    MakeName    (0x306D8,    "IO_OSD_W0BMP89");
    MakeWord    (0x306DA);
    MakeName    (0x306DA,    "IO_OSD_W0BMPAB");
    MakeWord    (0x306DC);
    MakeName    (0x306DC,    "IO_OSD_W0BMPCD");
    MakeWord    (0x306DE);
    MakeName    (0x306DE,    "IO_OSD_W0BMPEF");
    MakeWord    (0x306E0);
    MakeName    (0x306E0,    "IO_OSD_W1BMP01");
    MakeWord    (0x306E2);
    MakeName    (0x306E2,    "IO_OSD_W1BMP23");
    MakeWord    (0x306E4);
    MakeName    (0x306E4,    "IO_OSD_W1BMP45");
    MakeWord    (0x306E6);
    MakeName    (0x306E6,    "IO_OSD_W1BMP67");
    MakeWord    (0x306E8);
    MakeName    (0x306E8,    "IO_OSD_W1BMP89");
    MakeWord    (0x306EA);
    MakeName    (0x306EA,    "IO_OSD_W1BMPAB");
    MakeWord    (0x306EC);
    MakeName    (0x306EC,    "IO_OSD_W1BMPCD");
    MakeWord    (0x306EE);
    MakeName    (0x306EE,    "IO_OSD_W1BMPEF");
    MakeWord    (0x306F0);
    MakeWord    (0x306F2);
    MakeWord    (0x306F4);
    MakeName    (0x306F4,    "IO_OSD_MISCCTL");
    MakeWord    (0x306F6);
    MakeName    (0x306F6,    "IO_OSD_CLUTRAMYCB");
    MakeWord    (0x306F8);
    MakeName    (0x306F8,    "IO_OSD_CLUTRAMCR");
    MakeWord    (0x306FA);
    MakeWord    (0x306FC);
    MakeName    (0x306FC,    "IO_OSD_PPWIN0ADH");
    MakeWord    (0x306FE);
    MakeName    (0x306FE,    "IO_OSD_PPWIN0ADL");
    MakeWord    (0x30700);
    MakeName    (0x30700,    "IO_CCD_SYNCEN");
    MakeWord    (0x30702);
    MakeName    (0x30702,    "IO_CCD_MODESET");
    MakeWord    (0x30704);
    MakeName    (0x30704,    "IO_CCD_HDWIDTH");
    MakeWord    (0x30706);
    MakeName    (0x30706,    "IO_CCD_VDWIDTH");
    MakeWord    (0x30708);
    MakeName    (0x30708,    "IO_CCD_PPLN");
    MakeWord    (0x3070A);
    MakeName    (0x3070A,    "IO_CCD_LPFR");
    MakeWord    (0x3070C);
    MakeName    (0x3070C,    "IO_CCD_SPH");
    MakeWord    (0x3070E);
    MakeName    (0x3070E,    "IO_CCD_NPH");
    MakeWord    (0x30710);
    MakeName    (0x30710,    "IO_CCD_SLV0");
    MakeWord    (0x30712);
    MakeName    (0x30712,    "IO_CCD_SLV1");
    MakeWord    (0x30714);
    MakeName    (0x30714,    "IO_CCD_NLV");
    MakeWord    (0x30716);
    MakeName    (0x30716,    "IO_CCD_CULH");
    MakeWord    (0x30718);
    MakeName    (0x30718,    "IO_CCD_CULV");
    MakeWord    (0x3071A);
    MakeName    (0x3071A,    "IO_CCD_HSIZE");
    MakeWord    (0x3071C);
    MakeName    (0x3071C,    "IO_CCD_SDOFST");
    MakeWord    (0x3071E);
    MakeName    (0x3071E,    "IO_CCD_STADRH");
    MakeWord    (0x30720);
    MakeName    (0x30720,    "IO_CCD_STADRL");
    MakeWord    (0x30722);
    MakeName    (0x30722,    "IO_CCD_CLAMP");
    MakeWord    (0x30724);
    MakeName    (0x30724,    "IO_CCD_DCSUB");
    MakeWord    (0x30726);
    MakeName    (0x30726,    "IO_CCD_COLPTN");
    MakeWord    (0x30728);
    MakeName    (0x30728,    "IO_CCD_BLKCMP0");
    MakeWord    (0x3072A);
    MakeName    (0x3072A,    "IO_CCD_BLKCMP1");
    MakeWord    (0x3072C);
    MakeName    (0x3072C,    "IO_CCD_MEDFILT");
    MakeWord    (0x3072E);
    MakeName    (0x3072E,    "IO_CCD_RYEGAN");
    MakeWord    (0x30730);
    MakeName    (0x30730,    "IO_CCD_GRCYGAIN");
    MakeWord    (0x30732);
    MakeName    (0x30732,    "IO_CCD_GBGGAIN");
    MakeWord    (0x30734);
    MakeName    (0x30734,    "IO_CCD_BMGGAIN");
    MakeWord    (0x30736);
    MakeName    (0x30736,    "IO_CCD_OFFSET");
    MakeWord    (0x30738);
    MakeName    (0x30738,    "IO_CCD_OUTCLP");
    MakeWord    (0x3073A);
    MakeName    (0x3073A,    "IO_CCD_VDINT0");
    MakeWord    (0x3073C);
    MakeName    (0x3073C,    "IO_CCD_VDINT1");
    MakeWord    (0x3073E);
    MakeName    (0x3073E,    "IO_CCD_RSV0");
    MakeWord    (0x30740);
    MakeName    (0x30740,    "IO_CCD_GAMMAWD");
    MakeWord    (0x30742);
    MakeName    (0x30742,    "IO_CCD_REC656IF");
    MakeWord    (0x30744);
    MakeName    (0x30744,    "IO_CCD_CCDFG");
    MakeWord    (0x30746);
    MakeName    (0x30746,    "IO_CCD_FMTCFG");
    MakeWord    (0x30748);
    MakeName    (0x30748,    "IO_CCD_FMTSPH");
    MakeWord    (0x3074A);
    MakeName    (0x3074A,    "IO_CCD_FMTLNH");
    MakeWord    (0x3074C);
    MakeName    (0x3074C,    "IO_CCD_FMTSLV");
    MakeWord    (0x3074E);
    MakeName    (0x3074E,    "IO_CCD_FMTSNV");
    MakeWord    (0x30750);
    MakeName    (0x30750,    "IO_CCD_FMTOFST");
    MakeWord    (0x30752);
    MakeName    (0x30752,    "IO_CCD_FMTRLEN");
    MakeWord    (0x30754);
    MakeName    (0x30754,    "IO_CCD_FMTHCNT");
    MakeWord    (0x30756);
    MakeName    (0x30756,    "IO_CCD_FMTPTNA");
    MakeWord    (0x30758);
    MakeName    (0x30758,    "IO_CCD_FMTPTNB");
    MakeByte    (0x3075A);
    MakeArray    (0x3075A,    0xA6);
    MakeWord    (0x30800);
    MakeName    (0x30800,    "IO_VID_ENC_VMOD");
    MakeWord    (0x30802);
    MakeName    (0x30802,    "IO_VID_ENC_VDCTL");
    MakeWord    (0x30804);
    MakeName    (0x30804,    "IO_VID_ENC_VDPRO");
    MakeWord    (0x30806);
    MakeName    (0x30806,    "IO_VID_ENC_SYNCCTL");
    MakeWord    (0x30808);
    MakeName    (0x30808,    "IO_VID_ENC_HSPLS");
    MakeWord    (0x3080A);
    MakeName    (0x3080A,    "IO_VID_ENC_VSPLS");
    MakeWord    (0x3080C);
    MakeName    (0x3080C,    "IO_VID_ENC_HINT");
    MakeWord    (0x3080E);
    MakeName    (0x3080E,    "IO_VID_ENC_HSTART");
    MakeWord    (0x30810);
    MakeName    (0x30810,    "IO_VID_ENC_HVALID");
    MakeWord    (0x30812);
    MakeName    (0x30812,    "IO_VID_ENC_VINT");
    MakeWord    (0x30814);
    MakeName    (0x30814,    "IO_VID_ENC_VSTART");
    MakeWord    (0x30816);
    MakeName    (0x30816,    "IO_VID_ENC_VVALID");
    MakeWord    (0x30818);
    MakeName    (0x30818,    "IO_VID_ENC_HSDLY");
    MakeWord    (0x3081A);
    MakeName    (0x3081A,    "IO_VID_ENC_VSDLY");
    MakeWord    (0x3081C);
    MakeName    (0x3081C,    "IO_VID_ENC_YCCTL");
    MakeWord    (0x3081E);
    MakeName    (0x3081E,    "IO_VID_ENC_RGBCTL");
    MakeWord    (0x30820);
    MakeName    (0x30820,    "IO_VID_ENC_RGBCLP");
    MakeWord    (0x30822);
    MakeName    (0x30822,    "IO_VID_ENC_LNECTL");
    MakeWord    (0x30824);
    MakeName    (0x30824,    "IO_VID_ENC_CULLLNE");
    MakeWord    (0x30826);
    MakeName    (0x30826,    "IO_VID_ENC_LCDOUT");
    MakeWord    (0x30828);
    MakeName    (0x30828,    "IO_VID_ENC_BRTS");
    MakeWord    (0x3082A);
    MakeName    (0x3082A,    "IO_VID_ENC_BRTW");
    MakeWord    (0x3082C);
    MakeName    (0x3082C,    "IO_VID_ENC_ACCTL");
    MakeWord    (0x3082E);
    MakeName    (0x3082E,    "IO_VID_ENC_PWMP");
    MakeWord    (0x30830);
    MakeName    (0x30830,    "IO_VID_ENC_PWMW");
    MakeWord    (0x30832);
    MakeName    (0x30832,    "IO_VID_ENC_DCLKCTL");
    MakeWord    (0x30834);
    MakeName    (0x30834,    "IO_VID_ENC_DCLKPTN0");
    MakeWord    (0x30836);
    MakeName    (0x30836,    "IO_VID_ENC_DCLKPTN1");
    MakeWord    (0x30838);
    MakeName    (0x30838,    "IO_VID_ENC_DCLKPTN2");
    MakeWord    (0x3083A);
    MakeName    (0x3083A,    "IO_VID_ENC_DCLKPTN3");
    MakeWord    (0x3083C);
    MakeName    (0x3083C,    "IO_VID_ENC_DCLKPTN0A");
    MakeWord    (0x3083E);
    MakeName    (0x3083E,    "IO_VID_ENC_DCLKPTN1A");
    MakeWord    (0x30840);
    MakeName    (0x30840,    "IO_VID_ENC_DCLKPTN2A");
    MakeWord    (0x30842);
    MakeName    (0x30842,    "IO_VID_ENC_DCLKPTN3A");
    MakeWord    (0x30844);
    MakeName    (0x30844,    "IO_VID_ENC_DCLKHS");
    MakeWord    (0x30846);
    MakeName    (0x30846,    "IO_VID_ENC_DCLKHSA");
    MakeWord    (0x30848);
    MakeName    (0x30848,    "IO_VID_ENC_DCLKHR");
    MakeWord    (0x3084A);
    MakeName    (0x3084A,    "IO_VID_ENC_DCLKVS");
    MakeWord    (0x3084C);
    MakeName    (0x3084C,    "IO_VID_ENC_DCLKVR");
    MakeWord    (0x3084E);
    MakeName    (0x3084E,    "IO_VID_ENC_CAPCTL");
    MakeWord    (0x30850);
    MakeName    (0x30850,    "IO_VID_ENC_CAPDO");
    MakeWord    (0x30852);
    MakeName    (0x30852,    "IO_VID_ENC_CAPDE");
    MakeWord    (0x30854);
    MakeName    (0x30854,    "IO_VID_ENC_ATR0");
    MakeByte    (0x30856);
    MakeArray    (0x30856,    0x2A);
    MakeWord    (0x30880);
    MakeName    (0x30880,    "IO_CLK_PLLA");
    MakeWord    (0x30882);
    MakeName    (0x30882,    "IO_CLK_PLLB");
    MakeWord    (0x30884);
    MakeName    (0x30884,    "IO_CLK_SEL0");
    MakeWord    (0x30886);
    MakeName    (0x30886,    "IO_CLK_SEL1");
    MakeWord    (0x30888);
    MakeName    (0x30888,    "IO_CLK_SEL2");
    MakeWord    (0x3088A);
    MakeName    (0x3088A,    "IO_CLK_DIV0");
    MakeWord    (0x3088C);
    MakeName    (0x3088C,    "IO_CLK_DIV1");
    MakeWord    (0x3088E);
    MakeName    (0x3088E,    "IO_CLK_DIV2");
    MakeWord    (0x30890);
    MakeName    (0x30890,    "IO_CLK_DIV3");
    MakeWord    (0x30892);
    MakeName    (0x30892,    "IO_CLK_DIV4");
    MakeWord    (0x30894);
    MakeName    (0x30894,    "IO_CLK_BYP");
    MakeWord    (0x30896);
    MakeName    (0x30896,    "IO_CLK_INV");
    MakeWord    (0x30898);
    MakeName    (0x30898,    "IO_CLK_MOD0");
    MakeWord    (0x3089A);
    MakeName    (0x3089A,    "IO_CLK_MOD1");
    MakeWord    (0x3089C);
    MakeName    (0x3089C,    "IO_CLK_MOD2");
    MakeWord    (0x3089E);
    MakeName    (0x3089E,    "IO_CLK_LPCTL0");
    MakeWord    (0x308A0);
    MakeName    (0x308A0,    "IO_CLK_LPCTL1");
    MakeWord    (0x308A2);
    MakeName    (0x308A2,    "IO_CLK_OSEL");
    MakeWord    (0x308A4);
    MakeName    (0x308A4,    "IO_CLK_00DIV");
    MakeWord    (0x308A6);
    MakeName    (0x308A6,    "IO_CLK_O1DIV");
    MakeWord    (0x308A8);
    MakeName    (0x308A8,    "IO_CLK_02DIV");
    MakeWord    (0x308AA);
    MakeName    (0x308AA,    "IO_CLK_PWM0C");
    MakeWord    (0x308AC);
    MakeName    (0x308AC,    "IO_CLK_PWM0H");
    MakeWord    (0x308AE);
    MakeName    (0x308AE,    "IO_CLK_PWM1C");
    MakeWord    (0x308B0);
    MakeName    (0x308B0,    "IO_CLK_PWM1H");
    MakeByte    (0x308B2);
    MakeArray    (0x308B2,    0x4E);
    MakeWord    (0x30900);
    MakeName    (0x30900,    "IO_BUSC_ECR");
    MakeWord    (0x30902);
    MakeName    (0x30902,    "IO_BUSC_EBYTER");
    MakeWord    (0x30904);
    MakeName    (0x30904,    "IO_BUSC_EBITR");
    MakeWord    (0x30906);
    MakeName    (0x30906,    "IO_BUSC_REVR");
    MakeByte    (0x30908);
    MakeArray    (0x30908,    0x78);
    MakeWord    (0x30980);
    MakeName    (0x30980,    "IO_SDRAM_SDBUFD0L");
    MakeWord    (0x30982);
    MakeName    (0x30982,    "IO_SDRAM_SDBUFD0H");
    MakeWord    (0x30984);
    MakeName    (0x30984,    "IO_SDRAM_SDBUFD1L");
    MakeWord    (0x30986);
    MakeName    (0x30986,    "IO_SDRAM_SDBUFD1H");
    MakeWord    (0x30988);
    MakeName    (0x30988,    "IO_SDRAM_SDBUFD2L");
    MakeWord    (0x3098A);
    MakeName    (0x3098A,    "IO_SDRAM_SDBUFD2H");
    MakeWord    (0x3098C);
    MakeName    (0x3098C,    "IO_SDRAM_SDBUFD3L");
    MakeWord    (0x3098E);
    MakeName    (0x3098E,    "IO_SDRAM_SDBUFD3H");
    MakeWord    (0x30990);
    MakeName    (0x30990,    "IO_SDRAM_SDBUFD4L");
    MakeWord    (0x30992);
    MakeName    (0x30992,    "IO_SDRAM_SDBUFD4H");
    MakeWord    (0x30994);
    MakeName    (0x30994,    "IO_SDRAM_SDBUFD5L");
    MakeWord    (0x30996);
    MakeName    (0x30996,    "IO_SDRAM_SDBUFD5H");
    MakeWord    (0x30998);
    MakeName    (0x30998,    "IO_SDRAM_SDBUFD6L");
    MakeWord    (0x3099A);
    MakeName    (0x3099A,    "IO_SDRAM_SDBUFD6H");
    MakeWord    (0x3099C);
    MakeName    (0x3099C,    "IO_SDRAM_SDBUFD7L");
    MakeWord    (0x3099E);
    MakeName    (0x3099E,    "IO_SDRAM_SDBUFD7H");
    MakeWord    (0x309A0);
    MakeName    (0x309A0,    "IO_SDRAM_SDBUFAD1");
    MakeWord    (0x309A2);
    MakeName    (0x309A2,    "IO_SDRAM_SDBUFAD2");
    MakeWord    (0x309A4);
    MakeName    (0x309A4,    "IO_SDRAM_SDBUFCTL");
    MakeWord    (0x309A6);
    MakeName    (0x309A6,    "IO_SDRAM_SDMODE");
    MakeWord    (0x309A8);
    MakeName    (0x309A8,    "IO_SDRAM_REFCTL");
    MakeWord    (0x309AA);
    MakeName    (0x309AA,    "IO_SDRAM_SDPRTY1");
    MakeWord    (0x309AC);
    MakeName    (0x309AC,    "IO_SDRAM_SDPRTY2");
    MakeWord    (0x309AE);
    MakeName    (0x309AE,    "IO_SDRAM_SDPRTY3");
    MakeWord    (0x309B0);
    MakeName    (0x309B0,    "IO_SDRAM_SDPRTY4");
    MakeWord    (0x309B2);
    MakeName    (0x309B2,    "IO_SDRAM_SDPRTY5");
    MakeWord    (0x309B4);
    MakeName    (0x309B4,    "IO_SDRAM_SDPRTY6");
    MakeWord    (0x309B6);
    MakeName    (0x309B6,    "IO_SDRAM_SDPRTY7");
    MakeWord    (0x309B8);
    MakeName    (0x309B8,    "IO_SDRAM_SDPRTY8");
    MakeWord    (0x309BA);
    MakeName    (0x309BA,    "IO_SDRAM_SDPRTY9");
    MakeWord    (0x309BC);
    MakeName    (0x309BC,    "IO_SDRAM_SDPRTY10");
    MakeWord    (0x309BE);
    MakeName    (0x309BE,    "IO_SDRAM_SDPRTY11");
    MakeWord    (0x309C0);
    MakeName    (0x309C0,    "IO_SDRAM_SDPRTY12");
    MakeWord    (0x309C2);
    MakeName    (0x309C2,    "IO_SDRAM_RSV");
    MakeWord    (0x309C4);
    MakeName    (0x309C4,    "IO_SDRAM_SDPRTYON");
    MakeWord    (0x309C6);
    MakeName    (0x309C6,    "IO_SDRAM_SDDMASEL");
    MakeByte    (0x309C8);
    MakeArray    (0x309C8,    0x38);
    MakeWord    (0x30A00);
    MakeName    (0x30A00,    "IO_EMIF_CS0CTRL1");
    MakeWord    (0x30A02);
    MakeName    (0x30A02,    "IO_EMIF_CS0CTRL2");
    MakeWord    (0x30A04);
    MakeName    (0x30A04,    "IO_EMIF_CS0CTRL3");
    MakeWord    (0x30A06);
    MakeName    (0x30A06,    "IO_EMIF_CS1CTRL1A");
    MakeWord    (0x30A08);
    MakeName    (0x30A08,    "IO_EMIF_CS1CTRL1B");
    MakeWord    (0x30A0A);
    MakeName    (0x30A0A,    "IO_EMIF_CS1CTRL2");
    MakeWord    (0x30A0C);
    MakeName    (0x30A0C,    "IO_EMIF_CS2CTRL1");
    MakeWord    (0x30A0E);
    MakeName    (0x30A0E,    "IO_EMIF_CS2CTRL2");
    MakeWord    (0x30A10);
    MakeName    (0x30A10,    "IO_EMIF_CS3CTRL1");
    MakeWord    (0x30A12);
    MakeName    (0x30A12,    "IO_EMIF_CS3CTRL2");
    MakeWord    (0x30A14);
    MakeName    (0x30A14,    "IO_EMIF_CS4CTRL1");
    MakeWord    (0x30A16);
    MakeName    (0x30A16,    "IO_EMIF_CS4CTRL2");
    MakeWord    (0x30A18);
    MakeName    (0x30A18,    "IO_EMIF_BUSCTRL");
    MakeWord    (0x30A1A);
    MakeName    (0x30A1A,    "IO_EMIF_BUSRLS");
    MakeWord    (0x30A1C);
    MakeName    (0x30A1C,    "IO_EMIF_CFCTRL1");
    MakeWord    (0x30A1E);
    MakeName    (0x30A1E,    "IO_EMIF_CFCTRL2");
    MakeWord    (0x30A20);
    MakeName    (0x30A20,    "IO_EMIF_SMCTRL");
    MakeWord    (0x30A22);
    MakeName    (0x30A22,    "IO_EMIF_BUSINTEN");
    MakeWord    (0x30A24);
    MakeName    (0x30A24,    "IO_EMIF_BUSSTS");
    MakeWord    (0x30A26);
    MakeName    (0x30A26,    "IO_EMIF_BUSWAITMD");
    MakeWord    (0x30A28);
    MakeName    (0x30A28,    "IO_EMIF_ECC1CP");
    MakeWord    (0x30A2A);
    MakeName    (0x30A2A,    "IO_EMIF_ECC1LP");
    MakeWord    (0x30A2C);
    MakeName    (0x30A2C,    "IO_EMIF_ECC2CP");
    MakeWord    (0x30A2E);
    MakeName    (0x30A2E,    "IO_EMIF_ECC2LP");
    MakeWord    (0x30A30);
    MakeName    (0x30A30,    "IO_EMIF_ECC3CP");
    MakeWord    (0x30A32);
    MakeName    (0x30A32,    "IO_EMIF_ECC3LP");
    MakeWord    (0x30A34);
    MakeName    (0x30A34,    "IO_EMIF_ECC4CP");
    MakeWord    (0x30A36);
    MakeName    (0x30A36,    "IO_EMIF_ECC4LP");
    MakeWord    (0x30A38);
    MakeName    (0x30A38,    "IO_EMIF_ECC5CP");
    MakeWord    (0x30A3A);
    MakeName    (0x30A3A,    "IO_EMIF_ECC5LP");
    MakeWord    (0x30A3C);
    MakeName    (0x30A3C,    "IO_EMIF_ECC6CP");
    MakeWord    (0x30A3E);
    MakeName    (0x30A3E,    "IO_EMIF_ECC6LP");
    MakeWord    (0x30A40);
    MakeName    (0x30A40,    "IO_EMIF_ECC7CP");
    MakeWord    (0x30A42);
    MakeName    (0x30A42,    "IO_EMIF_ECC7LP");
    MakeWord    (0x30A44);
    MakeName    (0x30A44,    "IO_EMIF_ECC8CP");
    MakeWord    (0x30A46);
    MakeName    (0x30A46,    "IO_EMIF_ECC8LP");
    MakeWord    (0x30A48);
    MakeName    (0x30A48,    "IO_EMIF_ECCCLR");
    MakeWord    (0x30A4A);
    MakeName    (0x30A4A,    "IO_EMIF_PAGESZ");
    MakeWord    (0x30A4C);
    MakeName    (0x30A4C,    "IO_EMIF_PRIORCTL");
    MakeWord    (0x30A4E);
    MakeName    (0x30A4E,    "IO_EMIF_MGDSPDEST");
    MakeWord    (0x30A50);
    MakeName    (0x30A50,    "IO_EMIF_MGDSPADDH");
    MakeWord    (0x30A52);
    MakeName    (0x30A52,    "IO_EMIF_MGDSPADDL");
    MakeWord    (0x30A54);
    MakeName    (0x30A54,    "IO_EMIF_AHBADDH");
    MakeWord    (0x30A56);
    MakeName    (0x30A56,    "IO_EMIF_AHBADDL");
    MakeWord    (0x30A58);
    MakeName    (0x30A58,    "IO_EMIF_MTCADDH");
    MakeWord    (0x30A5A);
    MakeName    (0x30A5A,    "IO_EMIF_MTCADDL");
    MakeWord    (0x30A5C);
    MakeName    (0x30A5C,    "IO_EMIF_DMASIZE");
    MakeWord    (0x30A5E);
    MakeName    (0x30A5E,    "IO_EMIF_DMAMTCSEL");
    MakeWord    (0x30A60);
    MakeName    (0x30A60,    "IO_EMIF_DMACTL");
    MakeByte    (0x30A63);
    MakeArray    (0x30A63,    0x1D);
    MakeWord    (0x30A80);
    MakeName    (0x30A80,    "IO_PREV_ENG_PVEN");
    MakeWord    (0x30A82);
    MakeName    (0x30A82,    "IO_PREV_ENG_PVSET1");
    MakeWord    (0x30A84);
    MakeName    (0x30A84,    "IO_PREV_ENG_RADRH");
    MakeWord    (0x30A86);
    MakeName    (0x30A86,    "IO_PREV_ENG_RADRL");
    MakeWord    (0x30A88);
    MakeName    (0x30A88,    "IO_PREV_ENG_WADRH");
    MakeWord    (0x30A8A);
    MakeName    (0x30A8A,    "IO_PREV_ENG_WADRL");
    MakeWord    (0x30A8C);
    MakeName    (0x30A8C,    "IO_PREV_ENG_HSTART");
    MakeWord    (0x30A8E);
    MakeName    (0x30A8E,    "IO_PREV_ENG_HSIZE");
    MakeWord    (0x30A90);
    MakeName    (0x30A90,    "IO_PREV_ENG_VSTART");
    MakeWord    (0x30A92);
    MakeName    (0x30A92,    "IO_PREV_ENG_VSIZE");
    MakeWord    (0x30A94);
    MakeName    (0x30A94,    "IO_PREV_ENG_PVSET2");
    MakeWord    (0x30A96);
    MakeName    (0x30A96,    "IO_PREV_ENG_NFILT");
    MakeWord    (0x30A98);
    MakeName    (0x30A98,    "IO_PREV_ENG_DGAIN");
    MakeWord    (0x30A9A);
    MakeName    (0x30A9A,    "IO_PREV_ENG_WBGAIN0");
    MakeWord    (0x30A9C);
    MakeName    (0x30A9C,    "IO_PREV_ENG_WBGAIN1");
    MakeWord    (0x30A9E);
    MakeName    (0x30A9E,    "IO_PREV_ENG_SMTH");
    MakeWord    (0x30AA0);
    MakeName    (0x30AA0,    "IO_PREV_ENG_HRSZ");
    MakeWord    (0x30AA2);
    MakeName    (0x30AA2,    "IO_PREV_ENG_VRSZ");
    MakeWord    (0x30AA4);
    MakeName    (0x30AA4,    "IO_PREV_ENG_BLOFST0");
    MakeWord    (0x30AA6);
    MakeName    (0x30AA6,    "IO_PREV_ENG_BLOFST1");
    MakeWord    (0x30AA8);
    MakeName    (0x30AA8,    "IO_PREV_ENG_MTXGAIN0");
    MakeWord    (0x30AAA);
    MakeName    (0x30AAA,    "IO_PREV_ENG_MTXGAIN1");
    MakeWord    (0x30AAC);
    MakeName    (0x30AAC,    "IO_PREV_ENG_MTXGAIN2");
    MakeWord    (0x30AAE);
    MakeName    (0x30AAE,    "IO_PREV_ENG_MTXGAIN3");
    MakeWord    (0x30AB0);
    MakeName    (0x30AB0,    "IO_PREV_ENG_MTXGAIN4");
    MakeWord    (0x30AB2);
    MakeName    (0x30AB2,    "IO_PREV_ENG_MTXGAIN5");
    MakeWord    (0x30AB4);
    MakeName    (0x30AB4,    "IO_PREV_ENG_MTXGAIN6");
    MakeWord    (0x30AB6);
    MakeName    (0x30AB6,    "IO_PREV_ENG_MTXGAIN7");
    MakeWord    (0x30AB8);
    MakeName    (0x30AB8,    "IO_PREV_ENG_MTXGAIN8");
    MakeWord    (0x30ABA);
    MakeName    (0x30ABA,    "IO_PREV_ENG_MTXOFST0");
    MakeWord    (0x30ABC);
    MakeName    (0x30ABC,    "IO_PREV_ENG_MTXOFST1");
    MakeWord    (0x30ABE);
    MakeName    (0x30ABE,    "IO_PREV_ENG_MTXOFST2");
    MakeWord    (0x30AC0);
    MakeName    (0x30AC0,    "IO_PREV_ENG_GAMTBYP");
    MakeWord    (0x30AC2);
    MakeName    (0x30AC2,    "IO_PREV_ENG_CSC0");
    MakeWord    (0x30AC4);
    MakeName    (0x30AC4,    "IO_PREV_ENG_CSC1");
    MakeWord    (0x30AC6);
    MakeName    (0x30AC6,    "IO_PREV_ENG_CSC2");
    MakeWord    (0x30AC8);
    MakeName    (0x30AC8,    "IO_PREV_ENG_CSC3");
    MakeWord    (0x30ACA);
    MakeName    (0x30ACA,    "IO_PREV_ENG_CSC4");
    MakeWord    (0x30ACC);
    MakeName    (0x30ACC,    "IO_PREV_ENG_YOFST");
    MakeWord    (0x30ACE);
    MakeName    (0x30ACE,    "IO_PREV_ENG_COFST");
    MakeWord    (0x30AD0);
    MakeName    (0x30AD0,    "IO_PREV_ENG_CNTBRT");
    MakeWord    (0x30AD2);
    MakeName    (0x30AD2,    "IO_PREV_ENG_CSUP0");
    MakeWord    (0x30AD4);
    MakeName    (0x30AD4,    "IO_PREV_ENG_CSUP1");
    MakeWord    (0x30AD6);
    MakeName    (0x30AD6,    "IO_PREV_ENG_SETUPY");
    MakeWord    (0x30AD8);
    MakeName    (0x30AD8,    "IO_PREV_ENG_SETUPC");
    MakeWord    (0x30ADA);
    MakeName    (0x30ADA,    "IO_PREV_ENG_TABLE_ADDR");
    MakeWord    (0x30ADC);
    MakeName    (0x30ADC,    "IO_PREV_ENG_TABLE_DATA");
    MakeWord    (0x30ADE);
    MakeName    (0x30ADE,    "IO_PREV_ENG_HG_CTL");
    MakeWord    (0x30AE0);
    MakeName    (0x30AE0,    "IO_PREV_ENG_HG_R0_HSTART");
    MakeWord    (0x30AE2);
    MakeName    (0x30AE2,    "IO_PREV_ENG_HG_R0_HSIZE");
    MakeWord    (0x30AE4);
    MakeName    (0x30AE4,    "IO_PREV_ENG_HG_R0_VSTART");
    MakeWord    (0x30AE6);
    MakeName    (0x30AE6,    "IO_PREV_ENG_HR_R0_VSIZE");
    MakeWord    (0x30AE8);
    MakeName    (0x30AE8,    "IO_PREV_ENG_HG_R1_HSTART");
    MakeWord    (0x30AEA);
    MakeName    (0x30AEA,    "IO_PREV_ENG_HG_R1_HSIZE");
    MakeWord    (0x30AEC);
    MakeName    (0x30AEC,    "IO_PREV_ENG_HG_R1_VSTART");
    MakeWord    (0x30AEE);
    MakeName    (0x30AEE,    "IO_PREV_ENG_HG_R1_VSIZE");
    MakeWord    (0x30AF0);
    MakeName    (0x30AF0,    "IO_PREV_ENG_HG_R2_HSTART");
    MakeWord    (0x30AF2);
    MakeName    (0x30AF2,    "IO_PREV_ENG_HG_R2_HSIZE");
    MakeWord    (0x30AF4);
    MakeName    (0x30AF4,    "IO_PREV_ENG_HG_R2_VSTART");
    MakeWord    (0x30AF6);
    MakeName    (0x30AF6,    "IO_PREV_ENG_HG_R2_VSIZE");
    MakeWord    (0x30AF8);
    MakeName    (0x30AF8,    "IO_PREV_ENG_HG_R3_HSTART");
    MakeWord    (0x30AFA);
    MakeName    (0x30AFA,    "IO_PREV_ENG_HG_R3_HSIZE");
    MakeWord    (0x30AFC);
    MakeName    (0x30AFC,    "IO_PREV_ENG_HG_R3_VSTART");
    MakeWord    (0x30AFE);
    MakeName    (0x30AFE,    "IO_PREV_ENG_HG_R3_VSIZE");
    MakeWord    (0x30B00);
    MakeName    (0x30B00,    "IO_PREV_ENG_HG_ADDR");
    MakeWord    (0x30B02);
    MakeName    (0x30B02,    "IO_PREV_ENG_HG_DATA");
    MakeByte    (0x30B04);
    MakeArray    (0x30B04,    0x7C);
    MakeWord    (0x30B80);
    MakeName    (0x30B80,    "IO_H3A_H3ACTRL");
    MakeWord    (0x30B82);
    MakeName    (0x30B82,    "IO_H3A_AFCTRL");
    MakeWord    (0x30B84);
    MakeName    (0x30B84,    "IO_H3A_AFPAX1");
    MakeWord    (0x30B86);
    MakeName    (0x30B86,    "IO_H3A_AFPAX2");
    MakeWord    (0x30B88);
    MakeName    (0x30B88,    "IO_H3A_AFPAX3");
    MakeWord    (0x30B8A);
    MakeName    (0x30B8A,    "IO_H3A_AFPAX4");
    MakeWord    (0x30B8C);
    MakeName    (0x30B8C,    "IO_H3A_AFIRSH");
    MakeWord    (0x30B8E);
    MakeName    (0x30B8E,    "IO_H3A_AFPAX5");
    MakeWord    (0x30B90);
    MakeName    (0x30B90,    "IO_H3A_AFSDRA1");
    MakeWord    (0x30B92);
    MakeName    (0x30B92,    "IO_H3A_AFSDRA2");
    MakeWord    (0x30B94);
    MakeName    (0x30B94,    "IO_H3A_AFSDRFLG");
    MakeWord    (0x30B96);
    MakeName    (0x30B96,    "IO_H3A_AFCOEFF10");
    MakeWord    (0x30B98);
    MakeName    (0x30B98,    "IO_H3A_AFCOEFF11");
    MakeWord    (0x30B9A);
    MakeName    (0x30B9A,    "IO_H3A_AFCOEFF12");
    MakeWord    (0x30B9C);
    MakeName    (0x30B9C,    "IO_H3A_AFCOEFF13");
    MakeWord    (0x30B9E);
    MakeName    (0x30B9E,    "IO_H3A_AFCOEFF14");
    MakeWord    (0x30BA0);
    MakeName    (0x30BA0,    "IO_H3A_AFCOEFF15");
    MakeWord    (0x30BA2);
    MakeName    (0x30BA2,    "IO_H3A_AFCOEFF16");
    MakeWord    (0x30BA4);
    MakeName    (0x30BA4,    "IO_H3A_AFCOEFF17");
    MakeWord    (0x30BA6);
    MakeName    (0x30BA6,    "IO_H3A_AFCOEFF18");
    MakeWord    (0x30BA8);
    MakeName    (0x30BA8,    "IO_H3A_AFCOEFF19");
    MakeWord    (0x30BAA);
    MakeName    (0x30BAA,    "IO_H3A_AFCOEFF110");
    MakeWord    (0x30BAC);
    MakeName    (0x30BAC,    "IO_H3A_AFCOEFF20");
    MakeWord    (0x30BAE);
    MakeName    (0x30BAE,    "IO_H3A_AFCOEFF21");
    MakeWord    (0x30BB0);
    MakeName    (0x30BB0,    "IO_H3A_AFCOEFF22");
    MakeWord    (0x30BB2);
    MakeName    (0x30BB2,    "IO_H3A_AFCOEFF23");
    MakeWord    (0x30BB4);
    MakeName    (0x30BB4,    "IO_H3A_AFCOEFF24");
    MakeWord    (0x30BB6);
    MakeName    (0x30BB6,    "IO_H3A_AFCOEFF25");
    MakeWord    (0x30BB8);
    MakeName    (0x30BB8,    "IO_H3A_AFCOEFF26");
    MakeWord    (0x30BBA);
    MakeName    (0x30BBA,    "IO_H3A_AFCOEFF27");
    MakeWord    (0x30BBC);
    MakeName    (0x30BBC,    "IO_H3A_AFCOEFF28");
    MakeWord    (0x30BBE);
    MakeName    (0x30BBE,    "IO_H3A_AFCOEFF29");
    MakeWord    (0x30BC0);
    MakeName    (0x30BC0,    "IO_H3A_AFCOEFF210");
    MakeWord    (0x30BC2);
    MakeName    (0x30BC2,    "IO_H3A_AEWCTRL");
    MakeWord    (0x30BC4);
    MakeName    (0x30BC4,    "IO_H3A_AEWWIN1");
    MakeWord    (0x30BC6);
    MakeName    (0x30BC6,    "IO_H3A_AEWWIN2");
    MakeWord    (0x30BC8);
    MakeName    (0x30BC8,    "IO_H3A_AEWWIN3");
    MakeWord    (0x30BCA);
    MakeName    (0x30BCA,    "IO_H3A_AEWWIN4");
    MakeWord    (0x30BCC);
    MakeName    (0x30BCC,    "IO_H3A_AEWWIN5");
    MakeWord    (0x30BCE);
    MakeName    (0x30BCE,    "IO_H3A_AEWSDRA1");
    MakeWord    (0x30BD0);
    MakeName    (0x30BD0,    "IO_H3A_AEWSDRA2");
    MakeWord    (0x30BD2);
    MakeName    (0x30BD2,    "IO_H3A_AEWSDRFLG");
    MakeByte    (0x30BD4);
    MakeArray    (0x30BD4,    0x2C);
    MakeWord    (0x30C00);
    MakeWord    (0x30D80);
    MakeName    (0x30D80,    "IO_I2C_TXDATA");
    MakeWord    (0x30D82);
    MakeName    (0x30D82,    "IO_I2C_RXDATA");
    MakeWord    (0x30D84);
    MakeName    (0x30D84,    "IO_I2C_SCS");

    MakeDword    (0x60200);
    MakeName    (0x60200,    "IO_VL_ID");
    MakeDword    (0x60204);
    MakeName    (0x60204,    "IO_VL_CTRL");
    MakeDword    (0x60208);
    MakeName    (0x60208,    "IO_VL_STAT");
    MakeDword    (0x6020C);
    MakeName    (0x6020C,    "IO_VL_INTPRI");
    MakeDword    (0x60210);
    MakeName    (0x60210,    "IO_VL_INTST");
    MakeDword    (0x60214);
    MakeName    (0x60214,    "IO_VL_INTPND");
    MakeDword    (0x60218);
    MakeName    (0x60218,    "IO_VL_INTPTR");
    MakeDword    (0x6021C);
    MakeName    (0x6021C,    "IO_VL_TXMAP");
    MakeDword    (0x60220);
    MakeName    (0x60220,    "IO_VL_RXMAPSZ1");
    MakeDword    (0x60224);
    MakeName    (0x60224,    "IO_VL_RXMAPOF1");
    MakeDword    (0x60228);
    MakeName    (0x60228,    "IO_VL_RXMAPSZ2");
    MakeDword    (0x6022C);
    MakeName    (0x6022C,    "IO_VL_RXMAPOF2");
    MakeDword    (0x60230);
    MakeName    (0x60230,    "IO_VL_RXMAPSZ3");
    MakeDword    (0x60234);
    MakeName    (0x60234,    "IO_VL_RXMAPOF3");
    MakeDword    (0x60238);
    MakeName    (0x60238,    "IO_VL_RXMAPSZ4");
    MakeDword    (0x6023C);
    MakeName    (0x6023C,    "IO_VL_RXMAPOF4");
    MakeDword    (0x60240);
    MakeName    (0x60240,    "IO_VL_CHIPVER");
    MakeDword    (0x60244);
    MakeName    (0x60244,    "IO_VL_AUTONEG");
    MakeDword    (0x60248);
    MakeName    (0x60248,    "IO_VL_MANNEG");
    MakeDword    (0x6024C);
    MakeName    (0x6024C,    "IO_VL_NEGSTAT");
    MakeDword    (0x60250);
    MakeDword    (0x60254);
    MakeDword    (0x60258);
    MakeDword    (0x6025C);
    MakeName    (0x6025C,    "IO_VL_ENDIAN");
    MakeDword    (0x60260);
    MakeName    (0x60260,    "IO_VL_INTVEC30");
    MakeDword    (0x60264);
    MakeName    (0x60264,    "IO_VL_INTVEC74");
    MakeDword    (0x60268);
    MakeDword    (0x6026C);
    MakeDword    (0x60270);
    MakeDword    (0x60274);
    MakeDword    (0x60278);
    MakeDword    (0x6027C);
    MakeDword    (0x60280);
    MakeDword    (0x60284);
    MakeDword    (0x60288);
    MakeWord    (0x60F00);
    MakeName    (0x60F00,    "IO_AHB_SDRAMSA");
    MakeWord    (0x60F02);
    MakeName    (0x60F02,    "IO_AHB_SDRAMEA");
    MakeWord    (0x60F04);
    MakeName    (0x60F04,    "IO_AHB_BUSCONTROL");
    MakeWord    (0x60F06);
    MakeName    (0x60F06,    "IO_AHB_RSV1");
    MakeWord    (0x60F08);
    MakeName    (0x60F08,    "IO_AHB_RSV2");
    MakeWord    (0x60F0A);
    MakeName    (0x60F0A,    "IO_AHB_USBCTL");
}
