#include <idc.idc>

static read_line(fp)
{
    auto    line;
    auto    chr;
    auto    eofl;

    line = "";
    eofl = 0;

    chr = fgetc( fp );
    while ( eofl == 0 )
    {
        if ( chr == 0 || chr == -1 )
        {
            eofl = 1;
            break;
        }
        if ( chr == 10 || chr == 13 )
        {
            eofl = 2;
            break;
        }
        line = line + chr;
        chr = fgetc( fp );
    }

    if ( chr != 0 )
    {
        line = line + "\0";
    }

    if ( eofl == 1 )
    {
        return -1;
    }
    if ( eofl == 2 )
    {
        chr = fgetc( fp );
        while ( chr == 10 || chr == 13 )
        {
            chr = fgetc( fp );
        }
        if ( chr != 0 && chr != -1 )
        {
            fseek( fp, -1, 1 );
        }
    }

    return line;
}

static str_skip_ws( str)
{
    auto chr;
    auto i, j;
    auto white_space;

    white_space = " \t\n\r";
    i           = 0;
    j           = strlen( str );
    chr         = " ";

    while ( i < j )
    {
        chr = substr( str, i, i+1 );
        if ( strstr( white_space, chr ) < 0 )
        {
            break;
        }
        i++;
    }
    if ( i == j )
    {
        return str;
    }
    return substr( str, i, -1 );
}

static str_non_ws_len( str )
{
    auto chr;
    auto i, j;
    auto white_space;

    white_space = " \t\n\r";
    i           = 0;
    j           = strlen( str );
    chr         = " ";

    while ( i < j )
    {
        chr = substr( str, i, i+1 );
        if ( strstr( white_space, chr ) >= 0 )
        {
            break;
        }
        i++;
    }
    if ( i == j )
    {
        return -1;
    }
    return i;
}

static str_to_int( str )
{
    auto v, i, x;
    auto wordlen;
    auto baseTable1, baseTable2;

    str = str_skip_ws( str );
    wordlen = str_non_ws_len( str );
    if ( wordlen == -1 )
    {
        wordlen = strlen( str );
    }

    str = substr( str, 2, wordlen );
    wordlen = wordlen - 2;

    baseTable1 = "0123456789ABCDEF";
    baseTable2 = "0123456789abcdef";

    v = 0;
    i = 0;

    while ( i < wordlen )
    {
        x = strstr( baseTable1, substr( str, i, i + 1 ) );
        if ( x >= 0 )
        {
	        v = (v << 4) + x;
	    }
	    else
	    {
            x = strstr( baseTable2, substr( str, i, i + 1 ) );
            if ( x >= 0 )
            {
    	        v = (v << 4) + x;
    	    }
	    }
        i++;
    }

    return v;
}

static parse_string( str )
{
    auto wordlen;

    str = str_skip_ws( str );
    wordlen = str_non_ws_len( str );
    if ( wordlen == -1 )
    {
        wordlen = strlen( str );
    }

    return substr( str, 0, wordlen );
}

static parse_skip_word( str )
{
    auto wordlen;
    auto strLen;

    str = str_skip_ws( str );
    wordlen = str_non_ws_len( str );
    if ( wordlen == -1 )
    {
        wordlen = 0;
    }
    strLen  = strlen( str );

    return substr( str, wordlen, strLen );
}

static parse_int( str )
{
    return str_to_int( str );
}
